# This file created by conda-build 26.3.0
# meta.yaml template originally from:
# /home/task_177809008984181/conda-lockfiles-feedstock/recipe, last modified Wed May  6 17:56:00 2026
# ------------------------------------------------

package:
  name: conda-lockfiles
  version: 0.2.0
source:
  url: https://github.com/conda-incubator/conda-lockfiles/archive/0.2.0.tar.gz
  sha256: d3a27fdd81caa24fcd69c4257be0443fc9f0f5c7965a84eaf714a6de5f11d69a
build:
  number: '0'
  script: /home/task_177809008984181/croot/conda-lockfiles_1778090185088/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_place/bin/python
    -m pip install . --no-deps --no-build-isolation -vv
  string: py314h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h5eee18b_6
    - ca-certificates 2026.3.19 h06a4308_0
    - hatch-vcs 0.5.0 py314h06a4308_0
    - hatchling 1.29.0 py314h06a4308_0
    - ld_impl_linux-64 2.44 h9e0c5a2_3
    - libexpat 2.8.0 h7354ed3_0
    - libffi 3.4.8 hc5d346e_2
    - libgcc 15.2.0 h69a1729_7
    - libgcc-ng 15.2.0 h166f726_7
    - libgomp 15.2.0 h4751f2c_7
    - libmpdec 4.0.0 h5eee18b_0
    - libstdcxx 15.2.0 h39759b7_7
    - libstdcxx-ng 15.2.0 hc03a8fd_7
    - libuuid 1.41.5 h5eee18b_0
    - libxcb 1.17.0 h9b100fa_0
    - libzlib 1.3.1 h47b2149_1
    - lz4-c 1.9.4 h6a678d5_1
    - ncurses 6.5 h7934f7d_0
    - openssl 3.5.6 h1b28b03_0
    - packaging 26.0 py314h06a4308_0
    - pathspec 1.0.4 py314h06a4308_0
    - pip 26.0.1 pyh0d26453_1
    - pluggy 1.6.0 py314h06a4308_0
    - pthread-stubs 0.3 h0ce48e5_1
    - python 3.14.4 h490e9c7_100_cp314
    - python_abi 3.14 2_cp314
    - readline 8.3 hc2a1206_0
    - setuptools 82.0.1 py314h06a4308_0
    - setuptools-scm 10.0.5 py314h06a4308_0
    - sqlite 3.51.2 h3e8d24a_0
    - tk 8.6.15 h54e0aa7_0
    - trove-classifiers 2026.1.14.14 py314h06a4308_0
    - tzdata 2026a he532380_0
    - vcs-versioning 1.1.1 py314h06a4308_0
    - xorg-libx11 1.8.12 h9b100fa_1
    - xorg-libxau 1.0.12 h9b100fa_0
    - xorg-libxdmcp 1.1.5 h9b100fa_0
    - xorg-xorgproto 2024.1 h5eee18b_1
    - xz 5.8.2 h448239c_0
    - zlib 1.3.1 h47b2149_1
    - zstd 1.5.7 h11fc155_0
  run:
    - conda >=25.9.0
    - pydantic >=2,<3
    - python >=3.14,<3.15.0a0
    - python_abi 3.14.* *_cp314
    - ruamel.yaml
test:
  requires:
    - pip
    - python >=3.14,<3.15.0a0
  imports:
    - conda_lockfiles
    - conda_lockfiles.conda_lock.v1
    - conda_lockfiles.exceptions
    - conda_lockfiles.plugin
    - conda_lockfiles.rattler_lock.v6
  commands:
    - pip check
about:
  home: https://github.com/conda-incubator/conda-lockfiles
  summary: conda-lockfiles adds support for additional lockfile formats to conda.
  description: 'Lock files record the exact state of an environment so that it can
    be

    reproduced at a later date or shared with collaborators. conda-lockfiles

    brings native lockfile support to conda with the ability to create and use

    lockfiles across multiple formats and platforms. With multiplatform

    support, you can solve environments once and deploy them consistently

    across Linux, macOS, and Windows.

    '
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE
  doc_url: https://conda-incubator.github.io/conda-lockfiles/
  dev_url: https://github.com/conda-incubator/conda-lockfiles
extra:
  recipe-maintainers:
    - jezdez
    - kenodegard
  final: true
  copy_test_source_files: true
  remote_url: https://github.com/AnacondaRecipes/conda-lockfiles-feedstock
  sha: c5e5dbcc56808eb4b974be57d822343cbe522652
  task_id: V6KXWVcBQMmBLWXjnC_flg
  task_run_id: '0'
  pbp_graph_uuid: d6689351-3fa3-4e3a-9184-621d3554aee7
